Loading...
Searching...
No Matches
juce::MessageListener Class Referenceabstract

`#include <juce_MessageListener.h>`

## Public Member Functions

virtual | ~MessageListener ()
virtual void | handleMessage (const Message &message)=0
void | postMessage (Message *message) const

## Detailed Description

MessageListener subclasses can post and receive Message objects.

See also
  Message, MessageManager, ActionListener, ChangeListener

Definition at line 34 of file juce_MessageListener.h.

## Constructor & Destructor Documentation

## MessageListener()

juce::MessageListener::MessageListener | ( |  | ) |

noexcept

Definition at line 35 of file juce_MessageListener.cpp.

## ~MessageListener()

juce::MessageListener::~MessageListener | ( |  | ) |

virtual

Destructor.

Definition at line 41 of file juce_MessageListener.cpp.

## Member Function Documentation

## handleMessage()

virtual void juce::MessageListener::handleMessage | ( | const Message & | message | ) |

pure virtual

This is the callback method that receives incoming messages.

This is called by the MessageManager from its dispatch loop.

See also
  postMessage

## postMessage()

void juce::MessageListener::postMessage | ( | Message * | message | ) | const

Sends a message to the message queue, for asynchronous delivery to this listener later on.

This method can be called safely by any thread.

Parameters

  message | the message object to send - this will be deleted automatically by the message queue, so make sure it's allocated on the heap, not the stack!

See also
  handleMessage

Definition at line 46 of file juce_MessageListener.cpp.

Referenced by handleMessage().

The documentation for this class was generated from the following files:

- juce_MessageListener.h
- juce_MessageListener.cpp